#ifndef _CONFIGVIEW_H_
#define _CONFIGVIEW_H_

#include <View.h>
#include <Message.h>

#include "MountainRenderer.h"

class MountainConfigView : public BView
{	
public:
	static BArchivable* Instantiate(BMessage* archive);
	virtual status_t Archive(BMessage* archive,bool deep = true) const;

	MountainConfigView(BMessage* archive);
	virtual ~MountainConfigView();

	virtual void MessageReceived(BMessage* msg);
	virtual void AttachedToWindow();

	void Settings(MountainRenderer* r){ *r = *mRenderer;}
	void SyncControls(const MountainRenderer* r= NULL);
	
	bool mQuitApp;
	
private:
	MountainRenderer*	mRenderer;
};

#endif